package com.hwrj.cloud.admin.service;

import com.hwrj.cloud.admin.model.UmsCompanyShare;

import java.util.List;

public interface UmsCompanyShareService {

    /**
     * 获取邀请码
     * @param compId
     * @param compName
     * @return
     */
    public String addShare(Long compId,String compName);

    /**
     * 分页获取邀请码
     * @param compId
     * @param pageNo
     * @param pageSize
     * @return
     */
    public List<UmsCompanyShare> shareList(Long compId,int status,int pageNo,int pageSize);

    /**
     * 获取邀请码的详细信息
     * @param id
     * @return
     */
    public UmsCompanyShare shareDetail(Long id);

    /**
     * 修改邀请码状态
     * @param id
     * @param status
     * @return
     */
    public void shareUpdate(Long id,int status);

}
